%define module_name POE-Component-Server-POP3
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(POE.pm) perl(POE/Component/Pluggable.pm) perl(POE/Filter/Line.pm) perl(POE/Wheel/ReadWrite.pm) perl(POE/Wheel/SocketFactory.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.12
Release: alt1
Summary: A POE framework for authoring POP3 servers
Group: Development/Perl
License: perl
URL: https://github.com/bingos/poe-component-server-pop3

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BI/BINGOS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
POE::Component::Server::POP3 is a the POE manpage component that provides a framework for 
authoring POP3 http://www.faqs.org/rfcs/rfc1939.html servers with POE.

It creates a listening TCP socket ( by default on port 110 ) and accepts connections from
multiple clients. Each connecting client is assigned a unique ID. 
Input from clients generates events that other POE components and sessions
may register to receive. The POP3 poco also handles sending output to applicable clients.

One may either interface with the component via the POE API or via the POE::Component::Pluggable manpage plugins.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes examples
%perl_vendor_privlib/P*

%changelog
* Thu Mar 09 2017 Igor Vlasenko <viy@altlinux.ru> 0.12-alt1
- regenerated from template by package builder

* Wed Sep 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1
- initial import by package builder

